Bug 121758 - passwd -e flag does not exist
passwd -e flag does not exist
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-04-27 10:37 EDT by Joao Almeida
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-27 11:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joao Almeida 2004-04-27 10:37:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
The passwd command does not have the "-e" flag "The user will be
forced to change the password at next login." 
And there is not valid alternative to it.

This is a must have feature because in production systems the acount
setup will be done by one person and therefore there is a security
risk in it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. man passwd
2. passwd -e

Expected Results:  The user whould be force to change is password at
the next login.

Additional info:
Comment 1 Suzanne Hillman 2004-04-30 11:43:44 EDT
Internal RFE bug #122109 entered; will be considered for future releases.
Comment 2 Suzanne Hillman 2004-05-27 11:42:23 EDT
This request should be brought to the upstream maintainer of shadow-utils.
Comment 3 Nalin Dahyabhai 2004-05-27 14:19:06 EDT
An alternative is "chage -d 0".

Note You need to log in before you can comment on or make changes to this bug.